version 11
set more off
capture log close
log using haer_meidert_2013, replace

*cd 
use haer_meidert_2013, clear

*RR1 AAPOR 2011
tab dispcode
count if dispcode == 31
count if dispcode == 32
display (969+149)/2629
*.42525675

*RR2 AAPOR 2011
count if dispcode == 22
display (969+149+301)/2629
*.53974895

*linkfollow = individuals who clicked on the link containing further information
*sektionen describes the different faculties
*abschluss describes the degree
*wscreen = welcome screen
tab wscreen

*dropafter_ws = drop out directly after the welcome screen
*dropoverall = drop out anywhere in the survey
*dropnotws = drop out anywhere except directly after the welcome screen
*timews = time spend on the welcome screen
*duration_complete = duration to complete the survey

*impact of the welcome screen on the dropouts directly on the welcome screen (Chi-Square)
*Table 2
tab wscreen dropafterws, chi row

*impact of the welcome screen on the overall dropout rate (Chi-Square)
*Table 2
tab wscreen dropoverall, chi row

*impact of the welcome screen on the dropout rate happend not on the welcome screen(Chi-Square)
tab wscreen dropnotws, chi row

*only bivariate 
generate red = 0
replace red =1 if wscreen == 187512
replace red =1 if wscreen == 187511
replace red =1 if wscreen == 187510
replace red =1 if wscreen == 187505
tab red dropafterws, chi row
tab red dropoverall, chi row
oneway dropafterws red
oneway dropoverall red
ttest timews, by(red)

generate longdur = 0
replace longdur = 1 if wscreen == 187501
replace longdur = 1 if wscreen == 187503
replace longdur = 1 if wscreen == 187511
replace longdur = 1 if wscreen == 187512
tab longdur dropafterws, chi row
tab longdur dropoverall, chi row
oneway dropafterws longdur
oneway dropoverall longdur
ttest timews, by(longdur)

generate link = 0
replace link = 1 if wscreen == 187332
replace link = 1 if wscreen == 187501
replace link = 1 if wscreen == 187505
replace link = 1 if wscreen == 187512
tab link dropafterws, chi row
tab link dropoverall, chi row
oneway dropafterws link
oneway dropoverall link
ttest timews, by(link)

*Regressions (Table 3)
logit dropafterws longdur red link
outreg2 using websurvey2011_logit_regression_afterws.doc, replace dec(2)
outreg2 using websuvey2011_logit_final.doc, replace dec(2) auto(2) addstat(Pseudo R-squared, `e(r2_p)', Prob > chi2, e(p))

logit dropoverall longdur red link
outreg2 using websuvey2011_logit_final.doc, append dec(2) auto(2) addstat(Pseudo R-squared, `e(r2_p)', Prob > chi2, e(p))
outreg2 using websurvey2011_logit_regression_overall.doc, replace dec(2)

logit dropnotws longdur red link 
outreg2 using websuvey2011_logit_final.doc, append dec(2) auto(2) addstat(Pseudo R-squared, `e(r2_p)', Prob > chi2, e(p))
outreg2 using websurvey2011_logit_regression_notws.doc, replace dec(2)

log close
